| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxTreeItemId Class Reference
Class List by Category » Data Structures

`#include <wx/treebase.h>`

## Detailed Description

An opaque reference to a tree item.

##

Library: wxCore
Category: Data Structures

See also
  wxTreeCtrl, wxTreeItemData, wxTreeCtrl Overview

## Public Member Functions

| wxTreeItemId ()
| Default constructor. More...
bool | IsOk () const
| Returns true if this instance is referencing a valid tree item. More...
void * | GetID () const
void | Unset ()

## Constructor & Destructor Documentation

wxTreeItemId::wxTreeItemId | ( |  | ) |

Default constructor.

A wxTreeItemId is not meant to be constructed explicitly by the user; only those returned by the wxTreeCtrl functions should be used.

## Member Function Documentation

void* wxTreeItemId::GetID | ( |  | ) | const

bool wxTreeItemId::IsOk | ( |  | ) | const

Returns true if this instance is referencing a valid tree item.

void wxTreeItemId::Unset | ( |  | ) |